// Code generated by informer-gen. DO NOT EDIT.

package v1

import (
	"context"
	time "time"

	apiserverv1 "github.com/openshift/api/apiserver/v1"
	versioned "github.com/openshift/client-go/apiserver/clientset/versioned"
	internalinterfaces "github.com/openshift/client-go/apiserver/informers/externalversions/internalinterfaces"
	v1 "github.com/openshift/client-go/apiserver/listers/apiserver/v1"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
	watch "k8s.io/apimachinery/pkg/watch"
	cache "k8s.io/client-go/tools/cache"
)

// APIRequestCountInformer provides access to a shared informer and lister for
// APIRequestCounts.
type APIRequestCountInformer interface {
	Informer() cache.SharedIndexInformer
	Lister() v1.APIRequestCountLister
}

type aPIRequestCountInformer struct {
	factory          internalinterfaces.SharedInformerFactory
	tweakListOptions internalinterfaces.TweakListOptionsFunc
}

// NewAPIRequestCountInformer constructs a new informer for APIRequestCount type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewAPIRequestCountInformer(client versioned.Interface, resyncPeriod time.Duration, indexers cache.Indexers) cache.SharedIndexInformer {
	return NewFilteredAPIRequestCountInformer(client, resyncPeriod, indexers, nil)
}

// NewFilteredAPIRequestCountInformer constructs a new informer for APIRequestCount type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewFilteredAPIRequestCountInformer(client versioned.Interface, resyncPeriod time.Duration, indexers cache.Indexers, tweakListOptions internalinterfaces.TweakListOptionsFunc) cache.SharedIndexInformer {
	return cache.NewSharedIndexInformer(
		&cache.ListWatch{
			ListFunc: func(options metav1.ListOptions) (runtime.Object, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.ApiserverV1().APIRequestCounts().List(context.TODO(), options)
			},
			WatchFunc: func(options metav1.ListOptions) (watch.Interface, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.ApiserverV1().APIRequestCounts().Watch(context.TODO(), options)
			},
		},
		&apiserverv1.APIRequestCount{},
		resyncPeriod,
		indexers,
	)
}

func (f *aPIRequestCountInformer) defaultInformer(client versioned.Interface, resyncPeriod time.Duration) cache.SharedIndexInformer {
	return NewFilteredAPIRequestCountInformer(client, resyncPeriod, cache.Indexers{cache.NamespaceIndex: cache.MetaNamespaceIndexFunc}, f.tweakListOptions)
}

func (f *aPIRequestCountInformer) Informer() cache.SharedIndexInformer {
	return f.factory.InformerFor(&apiserverv1.APIRequestCount{}, f.defaultInformer)
}

func (f *aPIRequestCountInformer) Lister() v1.APIRequestCountLister {
	return v1.NewAPIRequestCountLister(f.Informer().GetIndexer())
}
