// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	"context"

	v1alpha1 "github.com/openshift/api/console/v1alpha1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	schema "k8s.io/apimachinery/pkg/runtime/schema"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	testing "k8s.io/client-go/testing"
)

// FakeConsolePlugins implements ConsolePluginInterface
type FakeConsolePlugins struct {
	Fake *FakeConsoleV1alpha1
}

var consolepluginsResource = schema.GroupVersionResource{Group: "console.openshift.io", Version: "v1alpha1", Resource: "consoleplugins"}

var consolepluginsKind = schema.GroupVersionKind{Group: "console.openshift.io", Version: "v1alpha1", Kind: "ConsolePlugin"}

// Get takes name of the consolePlugin, and returns the corresponding consolePlugin object, and an error if there is any.
func (c *FakeConsolePlugins) Get(ctx context.Context, name string, options v1.GetOptions) (result *v1alpha1.ConsolePlugin, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootGetAction(consolepluginsResource, name), &v1alpha1.ConsolePlugin{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.ConsolePlugin), err
}

// List takes label and field selectors, and returns the list of ConsolePlugins that match those selectors.
func (c *FakeConsolePlugins) List(ctx context.Context, opts v1.ListOptions) (result *v1alpha1.ConsolePluginList, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootListAction(consolepluginsResource, consolepluginsKind, opts), &v1alpha1.ConsolePluginList{})
	if obj == nil {
		return nil, err
	}

	label, _, _ := testing.ExtractFromListOptions(opts)
	if label == nil {
		label = labels.Everything()
	}
	list := &v1alpha1.ConsolePluginList{ListMeta: obj.(*v1alpha1.ConsolePluginList).ListMeta}
	for _, item := range obj.(*v1alpha1.ConsolePluginList).Items {
		if label.Matches(labels.Set(item.Labels)) {
			list.Items = append(list.Items, item)
		}
	}
	return list, err
}

// Watch returns a watch.Interface that watches the requested consolePlugins.
func (c *FakeConsolePlugins) Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error) {
	return c.Fake.
		InvokesWatch(testing.NewRootWatchAction(consolepluginsResource, opts))
}

// Create takes the representation of a consolePlugin and creates it.  Returns the server's representation of the consolePlugin, and an error, if there is any.
func (c *FakeConsolePlugins) Create(ctx context.Context, consolePlugin *v1alpha1.ConsolePlugin, opts v1.CreateOptions) (result *v1alpha1.ConsolePlugin, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootCreateAction(consolepluginsResource, consolePlugin), &v1alpha1.ConsolePlugin{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.ConsolePlugin), err
}

// Update takes the representation of a consolePlugin and updates it. Returns the server's representation of the consolePlugin, and an error, if there is any.
func (c *FakeConsolePlugins) Update(ctx context.Context, consolePlugin *v1alpha1.ConsolePlugin, opts v1.UpdateOptions) (result *v1alpha1.ConsolePlugin, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootUpdateAction(consolepluginsResource, consolePlugin), &v1alpha1.ConsolePlugin{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.ConsolePlugin), err
}

// Delete takes name of the consolePlugin and deletes it. Returns an error if one occurs.
func (c *FakeConsolePlugins) Delete(ctx context.Context, name string, opts v1.DeleteOptions) error {
	_, err := c.Fake.
		Invokes(testing.NewRootDeleteAction(consolepluginsResource, name), &v1alpha1.ConsolePlugin{})
	return err
}

// DeleteCollection deletes a collection of objects.
func (c *FakeConsolePlugins) DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error {
	action := testing.NewRootDeleteCollectionAction(consolepluginsResource, listOpts)

	_, err := c.Fake.Invokes(action, &v1alpha1.ConsolePluginList{})
	return err
}

// Patch applies the patch and returns the patched consolePlugin.
func (c *FakeConsolePlugins) Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *v1alpha1.ConsolePlugin, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootPatchSubresourceAction(consolepluginsResource, name, pt, data, subresources...), &v1alpha1.ConsolePlugin{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.ConsolePlugin), err
}
