// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	"context"

	v1beta1 "github.com/openshift/api/helm/v1beta1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	schema "k8s.io/apimachinery/pkg/runtime/schema"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	testing "k8s.io/client-go/testing"
)

// FakeHelmChartRepositories implements HelmChartRepositoryInterface
type FakeHelmChartRepositories struct {
	Fake *FakeHelmV1beta1
}

var helmchartrepositoriesResource = schema.GroupVersionResource{Group: "helm.openshift.io", Version: "v1beta1", Resource: "helmchartrepositories"}

var helmchartrepositoriesKind = schema.GroupVersionKind{Group: "helm.openshift.io", Version: "v1beta1", Kind: "HelmChartRepository"}

// Get takes name of the helmChartRepository, and returns the corresponding helmChartRepository object, and an error if there is any.
func (c *FakeHelmChartRepositories) Get(ctx context.Context, name string, options v1.GetOptions) (result *v1beta1.HelmChartRepository, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootGetAction(helmchartrepositoriesResource, name), &v1beta1.HelmChartRepository{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1beta1.HelmChartRepository), err
}

// List takes label and field selectors, and returns the list of HelmChartRepositories that match those selectors.
func (c *FakeHelmChartRepositories) List(ctx context.Context, opts v1.ListOptions) (result *v1beta1.HelmChartRepositoryList, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootListAction(helmchartrepositoriesResource, helmchartrepositoriesKind, opts), &v1beta1.HelmChartRepositoryList{})
	if obj == nil {
		return nil, err
	}

	label, _, _ := testing.ExtractFromListOptions(opts)
	if label == nil {
		label = labels.Everything()
	}
	list := &v1beta1.HelmChartRepositoryList{ListMeta: obj.(*v1beta1.HelmChartRepositoryList).ListMeta}
	for _, item := range obj.(*v1beta1.HelmChartRepositoryList).Items {
		if label.Matches(labels.Set(item.Labels)) {
			list.Items = append(list.Items, item)
		}
	}
	return list, err
}

// Watch returns a watch.Interface that watches the requested helmChartRepositories.
func (c *FakeHelmChartRepositories) Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error) {
	return c.Fake.
		InvokesWatch(testing.NewRootWatchAction(helmchartrepositoriesResource, opts))
}

// Create takes the representation of a helmChartRepository and creates it.  Returns the server's representation of the helmChartRepository, and an error, if there is any.
func (c *FakeHelmChartRepositories) Create(ctx context.Context, helmChartRepository *v1beta1.HelmChartRepository, opts v1.CreateOptions) (result *v1beta1.HelmChartRepository, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootCreateAction(helmchartrepositoriesResource, helmChartRepository), &v1beta1.HelmChartRepository{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1beta1.HelmChartRepository), err
}

// Update takes the representation of a helmChartRepository and updates it. Returns the server's representation of the helmChartRepository, and an error, if there is any.
func (c *FakeHelmChartRepositories) Update(ctx context.Context, helmChartRepository *v1beta1.HelmChartRepository, opts v1.UpdateOptions) (result *v1beta1.HelmChartRepository, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootUpdateAction(helmchartrepositoriesResource, helmChartRepository), &v1beta1.HelmChartRepository{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1beta1.HelmChartRepository), err
}

// UpdateStatus was generated because the type contains a Status member.
// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
func (c *FakeHelmChartRepositories) UpdateStatus(ctx context.Context, helmChartRepository *v1beta1.HelmChartRepository, opts v1.UpdateOptions) (*v1beta1.HelmChartRepository, error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootUpdateSubresourceAction(helmchartrepositoriesResource, "status", helmChartRepository), &v1beta1.HelmChartRepository{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1beta1.HelmChartRepository), err
}

// Delete takes name of the helmChartRepository and deletes it. Returns an error if one occurs.
func (c *FakeHelmChartRepositories) Delete(ctx context.Context, name string, opts v1.DeleteOptions) error {
	_, err := c.Fake.
		Invokes(testing.NewRootDeleteAction(helmchartrepositoriesResource, name), &v1beta1.HelmChartRepository{})
	return err
}

// DeleteCollection deletes a collection of objects.
func (c *FakeHelmChartRepositories) DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error {
	action := testing.NewRootDeleteCollectionAction(helmchartrepositoriesResource, listOpts)

	_, err := c.Fake.Invokes(action, &v1beta1.HelmChartRepositoryList{})
	return err
}

// Patch applies the patch and returns the patched helmChartRepository.
func (c *FakeHelmChartRepositories) Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *v1beta1.HelmChartRepository, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewRootPatchSubresourceAction(helmchartrepositoriesResource, name, pt, data, subresources...), &v1beta1.HelmChartRepository{})
	if obj == nil {
		return nil, err
	}
	return obj.(*v1beta1.HelmChartRepository), err
}
