// Code generated by informer-gen. DO NOT EDIT.

package v1beta1

import (
	"context"
	time "time"

	helmv1beta1 "github.com/openshift/api/helm/v1beta1"
	versioned "github.com/openshift/client-go/helm/clientset/versioned"
	internalinterfaces "github.com/openshift/client-go/helm/informers/externalversions/internalinterfaces"
	v1beta1 "github.com/openshift/client-go/helm/listers/helm/v1beta1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
	watch "k8s.io/apimachinery/pkg/watch"
	cache "k8s.io/client-go/tools/cache"
)

// HelmChartRepositoryInformer provides access to a shared informer and lister for
// HelmChartRepositories.
type HelmChartRepositoryInformer interface {
	Informer() cache.SharedIndexInformer
	Lister() v1beta1.HelmChartRepositoryLister
}

type helmChartRepositoryInformer struct {
	factory          internalinterfaces.SharedInformerFactory
	tweakListOptions internalinterfaces.TweakListOptionsFunc
}

// NewHelmChartRepositoryInformer constructs a new informer for HelmChartRepository type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewHelmChartRepositoryInformer(client versioned.Interface, resyncPeriod time.Duration, indexers cache.Indexers) cache.SharedIndexInformer {
	return NewFilteredHelmChartRepositoryInformer(client, resyncPeriod, indexers, nil)
}

// NewFilteredHelmChartRepositoryInformer constructs a new informer for HelmChartRepository type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewFilteredHelmChartRepositoryInformer(client versioned.Interface, resyncPeriod time.Duration, indexers cache.Indexers, tweakListOptions internalinterfaces.TweakListOptionsFunc) cache.SharedIndexInformer {
	return cache.NewSharedIndexInformer(
		&cache.ListWatch{
			ListFunc: func(options v1.ListOptions) (runtime.Object, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.HelmV1beta1().HelmChartRepositories().List(context.TODO(), options)
			},
			WatchFunc: func(options v1.ListOptions) (watch.Interface, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.HelmV1beta1().HelmChartRepositories().Watch(context.TODO(), options)
			},
		},
		&helmv1beta1.HelmChartRepository{},
		resyncPeriod,
		indexers,
	)
}

func (f *helmChartRepositoryInformer) defaultInformer(client versioned.Interface, resyncPeriod time.Duration) cache.SharedIndexInformer {
	return NewFilteredHelmChartRepositoryInformer(client, resyncPeriod, cache.Indexers{cache.NamespaceIndex: cache.MetaNamespaceIndexFunc}, f.tweakListOptions)
}

func (f *helmChartRepositoryInformer) Informer() cache.SharedIndexInformer {
	return f.factory.InformerFor(&helmv1beta1.HelmChartRepository{}, f.defaultInformer)
}

func (f *helmChartRepositoryInformer) Lister() v1beta1.HelmChartRepositoryLister {
	return v1beta1.NewHelmChartRepositoryLister(f.Informer().GetIndexer())
}
