// Code generated by informer-gen. DO NOT EDIT.

package v1alpha1

import (
	"context"
	time "time"

	hiveinternalv1alpha1 "github.com/openshift/hive/apis/hiveinternal/v1alpha1"
	versioned "github.com/openshift/hive/pkg/client/clientset/versioned"
	internalinterfaces "github.com/openshift/hive/pkg/client/informers/externalversions/internalinterfaces"
	v1alpha1 "github.com/openshift/hive/pkg/client/listers/hiveinternal/v1alpha1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
	watch "k8s.io/apimachinery/pkg/watch"
	cache "k8s.io/client-go/tools/cache"
)

// ClusterSyncInformer provides access to a shared informer and lister for
// ClusterSyncs.
type ClusterSyncInformer interface {
	Informer() cache.SharedIndexInformer
	Lister() v1alpha1.ClusterSyncLister
}

type clusterSyncInformer struct {
	factory          internalinterfaces.SharedInformerFactory
	tweakListOptions internalinterfaces.TweakListOptionsFunc
	namespace        string
}

// NewClusterSyncInformer constructs a new informer for ClusterSync type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewClusterSyncInformer(client versioned.Interface, namespace string, resyncPeriod time.Duration, indexers cache.Indexers) cache.SharedIndexInformer {
	return NewFilteredClusterSyncInformer(client, namespace, resyncPeriod, indexers, nil)
}

// NewFilteredClusterSyncInformer constructs a new informer for ClusterSync type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewFilteredClusterSyncInformer(client versioned.Interface, namespace string, resyncPeriod time.Duration, indexers cache.Indexers, tweakListOptions internalinterfaces.TweakListOptionsFunc) cache.SharedIndexInformer {
	return cache.NewSharedIndexInformer(
		&cache.ListWatch{
			ListFunc: func(options v1.ListOptions) (runtime.Object, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.HiveinternalV1alpha1().ClusterSyncs(namespace).List(context.TODO(), options)
			},
			WatchFunc: func(options v1.ListOptions) (watch.Interface, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.HiveinternalV1alpha1().ClusterSyncs(namespace).Watch(context.TODO(), options)
			},
		},
		&hiveinternalv1alpha1.ClusterSync{},
		resyncPeriod,
		indexers,
	)
}

func (f *clusterSyncInformer) defaultInformer(client versioned.Interface, resyncPeriod time.Duration) cache.SharedIndexInformer {
	return NewFilteredClusterSyncInformer(client, f.namespace, resyncPeriod, cache.Indexers{cache.NamespaceIndex: cache.MetaNamespaceIndexFunc}, f.tweakListOptions)
}

func (f *clusterSyncInformer) Informer() cache.SharedIndexInformer {
	return f.factory.InformerFor(&hiveinternalv1alpha1.ClusterSync{}, f.defaultInformer)
}

func (f *clusterSyncInformer) Lister() v1alpha1.ClusterSyncLister {
	return v1alpha1.NewClusterSyncLister(f.Informer().GetIndexer())
}
