// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	"context"

	hivev1 "github.com/openshift/hive/apis/hive/v1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	schema "k8s.io/apimachinery/pkg/runtime/schema"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	testing "k8s.io/client-go/testing"
)

// FakeClusterProvisions implements ClusterProvisionInterface
type FakeClusterProvisions struct {
	Fake *FakeHiveV1
	ns   string
}

var clusterprovisionsResource = schema.GroupVersionResource{Group: "hive.openshift.io", Version: "v1", Resource: "clusterprovisions"}

var clusterprovisionsKind = schema.GroupVersionKind{Group: "hive.openshift.io", Version: "v1", Kind: "ClusterProvision"}

// Get takes name of the clusterProvision, and returns the corresponding clusterProvision object, and an error if there is any.
func (c *FakeClusterProvisions) Get(ctx context.Context, name string, options v1.GetOptions) (result *hivev1.ClusterProvision, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewGetAction(clusterprovisionsResource, c.ns, name), &hivev1.ClusterProvision{})

	if obj == nil {
		return nil, err
	}
	return obj.(*hivev1.ClusterProvision), err
}

// List takes label and field selectors, and returns the list of ClusterProvisions that match those selectors.
func (c *FakeClusterProvisions) List(ctx context.Context, opts v1.ListOptions) (result *hivev1.ClusterProvisionList, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewListAction(clusterprovisionsResource, clusterprovisionsKind, c.ns, opts), &hivev1.ClusterProvisionList{})

	if obj == nil {
		return nil, err
	}

	label, _, _ := testing.ExtractFromListOptions(opts)
	if label == nil {
		label = labels.Everything()
	}
	list := &hivev1.ClusterProvisionList{ListMeta: obj.(*hivev1.ClusterProvisionList).ListMeta}
	for _, item := range obj.(*hivev1.ClusterProvisionList).Items {
		if label.Matches(labels.Set(item.Labels)) {
			list.Items = append(list.Items, item)
		}
	}
	return list, err
}

// Watch returns a watch.Interface that watches the requested clusterProvisions.
func (c *FakeClusterProvisions) Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error) {
	return c.Fake.
		InvokesWatch(testing.NewWatchAction(clusterprovisionsResource, c.ns, opts))

}

// Create takes the representation of a clusterProvision and creates it.  Returns the server's representation of the clusterProvision, and an error, if there is any.
func (c *FakeClusterProvisions) Create(ctx context.Context, clusterProvision *hivev1.ClusterProvision, opts v1.CreateOptions) (result *hivev1.ClusterProvision, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewCreateAction(clusterprovisionsResource, c.ns, clusterProvision), &hivev1.ClusterProvision{})

	if obj == nil {
		return nil, err
	}
	return obj.(*hivev1.ClusterProvision), err
}

// Update takes the representation of a clusterProvision and updates it. Returns the server's representation of the clusterProvision, and an error, if there is any.
func (c *FakeClusterProvisions) Update(ctx context.Context, clusterProvision *hivev1.ClusterProvision, opts v1.UpdateOptions) (result *hivev1.ClusterProvision, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewUpdateAction(clusterprovisionsResource, c.ns, clusterProvision), &hivev1.ClusterProvision{})

	if obj == nil {
		return nil, err
	}
	return obj.(*hivev1.ClusterProvision), err
}

// UpdateStatus was generated because the type contains a Status member.
// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
func (c *FakeClusterProvisions) UpdateStatus(ctx context.Context, clusterProvision *hivev1.ClusterProvision, opts v1.UpdateOptions) (*hivev1.ClusterProvision, error) {
	obj, err := c.Fake.
		Invokes(testing.NewUpdateSubresourceAction(clusterprovisionsResource, "status", c.ns, clusterProvision), &hivev1.ClusterProvision{})

	if obj == nil {
		return nil, err
	}
	return obj.(*hivev1.ClusterProvision), err
}

// Delete takes name of the clusterProvision and deletes it. Returns an error if one occurs.
func (c *FakeClusterProvisions) Delete(ctx context.Context, name string, opts v1.DeleteOptions) error {
	_, err := c.Fake.
		Invokes(testing.NewDeleteAction(clusterprovisionsResource, c.ns, name), &hivev1.ClusterProvision{})

	return err
}

// DeleteCollection deletes a collection of objects.
func (c *FakeClusterProvisions) DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error {
	action := testing.NewDeleteCollectionAction(clusterprovisionsResource, c.ns, listOpts)

	_, err := c.Fake.Invokes(action, &hivev1.ClusterProvisionList{})
	return err
}

// Patch applies the patch and returns the patched clusterProvision.
func (c *FakeClusterProvisions) Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *hivev1.ClusterProvision, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewPatchSubresourceAction(clusterprovisionsResource, c.ns, name, pt, data, subresources...), &hivev1.ClusterProvision{})

	if obj == nil {
		return nil, err
	}
	return obj.(*hivev1.ClusterProvision), err
}
